#
# Conditional build:
%bcond_without	glib		# Glib usage
%bcond_without	static_libs	# static library
#
Summary:	GNU FriBidi - library implementing the Unicode BiDi algorithm
Summary(pl.UTF-8):	GNU FriBidi - biblioteka implementująca algorytm Unicode BiDi
Name:		fribidi
Version:	0.19.6
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://fribidi.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	ce93d862344991173dabb609bf93ca1d
Patch0:		format-security.patch
URL:		http://fribidi.freedesktop.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
%{?with_glib:BuildRequires:	glib2-devel >= 1:2.4}
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
%{?with_glib:Requires:	glib2 >= 1:2.4}
Obsoletes:	libfribidi0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU FriBidi is a free Implementation of the Unicode BiDi algorithm.

%description -l pl.UTF-8
GNU FriBidi to wolnodostępna implementacja algorytmu Unicode BiDi.

%package devel
Summary:	Header files for FriBidi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FriBidi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_glib:Requires:	glib2-devel >= 1:2.4}
Obsoletes:	libfribidi0-devel

%description devel
The fribidi-devel package includes header files for the fribidi
package.

%description devel -l pl.UTF-8
Pliki programistyczne pozwalające na wykorzystywanie biblioteki
fribidi w swoim oprogramowaniu.

%package static
Summary:	Static FriBidi library
Summary(pl.UTF-8):	Biblioteka statyczna FriBidi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FriBidi library.

%description static -l pl.UTF-8
Biblioteka statyczna FriBidi.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-glib%{!?with_glib:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/fribidi
%attr(755,root,root) %{_libdir}/libfribidi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfribidi.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfribidi.so
%{_libdir}/libfribidi.la
%{_includedir}/fribidi
%{_pkgconfigdir}/fribidi.pc
%{_mandir}/man3/fribidi_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfribidi.a
%endif
%changelog
* Mon Mar 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fribidi.git;a=log;h=master

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 497e67e
- release 2 (by relup.sh)

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> cefc387
- updated to 0.19.6

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> cec2954
- fix format string error

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> d9ec6e9
- updated to 0.19.5

* Mon May 06 2013 Marcin Krol <hawk@tld-linux.org> 2ea8f19
- release 2 (by relup.sh)

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 36fdcf7
- BR: pkgconfig

* Sat Nov 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 706eb05
- cleanup

* Sat Nov 20 2010 Jakub Bogusz <qboosh@pld-linux.org> a04da08
- package man3 pages

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 349f983
- Up to 0.19.2

* Fri Jul 03 2009 hawk <hawk@pld-linux.org> fd0d1cb
- reverted to 0.10.19, note to amateja: don't put DEVEL versions on HEAD

* Mon Jun 08 2009 amateja <amateja@pld-linux.org> 8ca2fe1
- updated to 0.19.2

* Wed Jan 23 2008 Jakub Bogusz <qboosh@pld-linux.org> ef60b3f
- more verbose files
- descs cleanup, updated to current official name (GNU FriBidi)

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 88cbf79
- rel. 1

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> e79ef59
- ver. 0.10.9 (NFY)
- new URL and SourceURL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 15b5feb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2717c44
- converted to UTF-8

* Sun Jan 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> fd51317
- rel 3

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> e5bfb8d
- unify sourceforge url

* Tue May 10 2005 Adam Gołębiowski <adamg@pld-linux.org> 44ee161
- strict internal deps
- release 2 for Th

* Tue Jul 08 2003 Paweł Gołaszewski <blues@pld-linux.org> 69f866d
- "f" and some "g" letters of small fixes inpired by kloczek

